"use client";
import { normalize as p } from "../normalize.js";
import { DefinedInfo as c } from "./defined-info.js";
import { Schema as u } from "./schema.js";
function l(r) {
  const o = {}, t = {};
  for (const [e, m] of Object.entries(r.properties)) {
    const s = new c(
      e,
      r.transform(r.attributes || {}, e),
      m,
      r.space
    );
    r.mustUseProperty && r.mustUseProperty.includes(e) && (s.mustUseProperty = !0), o[e] = s, t[p(e)] = e, t[p(s.attribute)] = e;
  }
  return new u(o, t, r.space);
}
export {
  l as create
};
